Bug 1644446 - retire libglvnd from epel7 [NEEDINFO]
Summary: retire libglvnd from epel7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libglvnd
Version: epel7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 20:42 UTC by Rex Dieter
Modified: 2019-03-03 16:10 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 16:10:08 UTC
Type: Bug
kwizart: needinfo? (puiterwijk)


Attachments (Terms of Use)

Description Rex Dieter 2018-10-30 20:42:35 UTC
Rhel 7.6 includes libglvnd-1.0.1-0.8 , so please retire this package from epel7 per
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

I've already submitted a releng ticket to have the package blocked, as it is causing broken dependencies,
https://pagure.io/releng/issue/7898

Comment 1 Patrick Uiterwijk 2018-10-31 13:13:58 UTC
Since it's only limited arch on RHEL7 (no aarch64 e.g.), this is still needed.
I'll go make a rebuild of the latest version.

Comment 2 Patrick Uiterwijk 2018-10-31 13:19:58 UTC
Okay, no, I was looking in the wrong repo. It should be shipped.

Comment 3 leigh scott 2018-10-31 15:00:54 UTC
(In reply to Rex Dieter from comment #0)
> Rhel 7.6 includes libglvnd-1.0.1-0.8 , so please retire this package from
> epel7 per
> https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
> 
> I've already submitted a releng ticket to have the package blocked, as it is
> causing broken dependencies,
> https://pagure.io/releng/issue/7898

Does RHEL provide libglvnd*.i686 as it's a requirement for nvidia i686 libs

Comment 4 zhsj 2018-11-02 07:23:10 UTC
Why this package is removed so quick? Now the CentOS users are missing libglvnd as CentOS 7.6 hasn't released.

Comment 5 Rex Dieter 2018-11-02 11:34:52 UTC
The mere presence of this package in the the epel repo broke all new package builds (that directly or indirectly depend on linGL), that's why.

Comment 6 Rex Dieter 2018-11-02 13:18:12 UTC
Re: comment #3

Just checked, and yes, rhel7.6 does provide libglvnd.i686

Comment 7 Nicolas Chauvet (kwizart) 2018-11-05 09:38:46 UTC
/me is back from vacation.

libglvnd in epel was in the process to be retired exactly because of the availability in RHEL 7.6. RPM Fusion didn't used libglvnd because epel missed i686 build. We are migrating the nvidia driver package to glvnd currently in rpmfusion-nonfree-updates-testing...



(In reply to Patrick Uiterwijk from comment #1)
> Since it's only limited arch on RHEL7 (no aarch64 e.g.), this is still
> needed.
> I'll go make a rebuild of the latest version.
This is unfortunate that there is this arch specific case, specially as there are glvnd enabled vendor driver (using Linux4Tegra)

Because glvnd is really fully relevant when mesa has it enabled I consider to defer the libglvnd.aarch64 maintenance to anyone who care about such case in EPEL7. (Personally I don't think it worth until any later RHEL has it enabled also).

@Peter do you want to take-over the maintain this in epel7.

Comment 8 Nicolas Chauvet (kwizart) 2018-11-05 09:39:57 UTC
s/Peter/Patrick/

Comment 9 Bill Gray 2018-11-07 00:39:47 UTC
libglvnd in EPEL 7 enabled NVIDIA drivers on RHEL 7.0 - 7.5, and it is now very difficult to install NVIDIA drivers and CUDA stack on all RHEL and Centos 7 versions prior to RHEL7.6

Error: Package: 3:nvidia-driver-libs-410.72-1.el7.x86_64 (cuda)
           Requires: libglvnd-gles(x86-64) >= 0.2
Error: Package: 3:nvidia-driver-libs-410.72-1.el7.x86_64 (cuda)
           Requires: libglvnd-egl(x86-64) >= 0.2
Error: Package: 3:nvidia-driver-libs-410.72-1.el7.x86_64 (cuda)
           Requires: libglvnd-opengl(x86-64) >= 0.2
Error: Package: 3:nvidia-driver-libs-410.72-1.el7.x86_64 (cuda)
           Requires: libglvnd-glx(x86-64) >= 0.2
Error: Package: 3:nvidia-driver-libs-410.72-1.el7.x86_64 (cuda)
           Requires: libglvnd(x86-64) >= 0.2

Please restore libglvnd to EPEL 7 as soon as possible.

Comment 10 Nicolas Chauvet (kwizart) 2018-11-07 07:04:29 UTC
(In reply to Bill Gray from comment #9)
...
> Please restore libglvnd to EPEL 7 as soon as possible.
NACK, this is forbidden by the EPEL guidelines, we can't replace RHEL packages.

The NVIDIA driver packaging in the cuda repo is a total mess anyway, please avoid using that.
This is reported here (also filled an internal nvidia bug for cuda)
https://devtalk.nvidia.com/default/topic/1041838/cuda-setup-and-installation/cuda-repo-issue-with-nvidia-driver-on-fedora-and-el/

Instead you can use the 390xx driver in RPM Fusion for el7
(still in the rpmfusion-nonfree-updates-testing repos)
This driver package does not make use (yet) of the libglvnd library which is not relevant at all on previous RHEL (and aarch64 so far).

One can also fetch the newer mesa/libglvnd on RHEL7.6 or CentOS-CR

Comment 11 Nicolas Chauvet (kwizart) 2018-11-07 07:24:11 UTC
FYI https://rpmfusion.org/Howto/CUDA

Comment 12 Timm Bäder 2018-11-07 07:26:40 UTC
> The NVIDIA driver packaging in the cuda repo is a total mess anyway

Why?

> Instead you can use the 390xx driver 

CUDA 10 requires a 410 driver, 390 is not sufficient.

Comment 13 Nicolas Chauvet (kwizart) 2018-11-07 07:34:25 UTC
(In reply to Timm Bäder from comment #12)
> > The NVIDIA driver packaging in the cuda repo is a total mess anyway
> 
> Why?
See the link posted. Basically the driver miss 32bit libraries for general usage

> > Instead you can use the 390xx driver 
> 
> CUDA 10 requires a 410 driver, 390 is not sufficient.
Then you can use the RPM Fusion packaged 410 driver as a main serie, but it relies on libglvnd, so you will have to fetch them from somewhere.

Comment 14 Bill Gray 2018-11-07 13:00:13 UTC
Do you not understand that all Centos users and RHEL customers who want to use NVIDIA hardware and software are broken right now?

Why can't EPEL 7 ship a slightly older version of libglvnd libraries, so they will never actually be selected on a RHEL version that includes libglvnd libraries?

Comment 15 Nicolas Chauvet (kwizart) 2018-11-07 13:57:55 UTC
(In reply to Bill Gray from comment #14)
> Do you not understand that all Centos users and RHEL customers who want to
> use NVIDIA hardware and software are broken right now?
Please remind that this is not Epel fault if dependencies are currently broken, please forward this request to the repo you are using.

We at RPM Fusion have decided not to use the libglvnd for rhel earlier than RHEL 7.6 very much "on purpose".

Comment 16 Nicolas Chauvet (kwizart) 2018-11-07 14:07:00 UTC
(In reply to Bill Gray from comment #14)
...
> Why can't EPEL 7 ship a slightly older version of libglvnd libraries, so
> they will never actually be selected on a RHEL version that includes
> libglvnd libraries?

The way koji and repositories creation work doesn't allows this at all. Because once an older libglvnd version is setup it will override even the newer version in koji. That will lead to build dependencies breakage like what is reported in pagure for the initial comment.

So forget about having libglvnd in epel at all.

Comment 17 Torvald Riegel 2018-11-07 17:16:36 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #15)
> (In reply to Bill Gray from comment #14)
> > Do you not understand that all Centos users and RHEL customers who want to
> > use NVIDIA hardware and software are broken right now?
> Please remind that this is not Epel fault if dependencies are currently
> broken, please forward this request to the repo you are using.

We have done that of course.  Nonetheless, I believe that several parties where not aware of the problem and of the fact that EPEL would drop the glvnd packages.  Therefore, it would be good if we could get a bit more time to work with NVIDIA to work around the problem.  Otherwise, as Bill said, it will break stuff that did use to work for users.

That said, I see your point in EPEL needing to drop glvnd eventually.

Comment 18 Rex Dieter 2018-11-07 17:38:39 UTC
To clarify the status quo:
As is, there's a strict rule about epel not replacing rhel packages.  Additionally, this bug was about fixing epel+rhel7.6 being broken.

So... any suggestion to simply undo recent changes with libglvnd/epel is not a viable option, and further comments on that particular topic *here* in bugzilla most likely will not be fruitful.


The best (only?) constructive way forward I see is:
Interested parties that want/need libglvnd probably ought to start a thread on 
https://lists.fedoraproject.org/admin/lists/epel-devel@lists.fedoraproject.org/
where you'll need to coordinate and reach some sort of compromise/exception with epel SIG and it's policies.

Comment 19 Nicolas Chauvet (kwizart) 2018-11-10 11:14:39 UTC
In case some would be still waiting for a workaround, you can grab the old EPEL package from there: 
https://koji.fedoraproject.org/koji/buildinfo?buildID=1096712

CentOS will publish a pre-version of the next RHEL in the CentOS-CR repo so it will be easier to grab in advances until CentOS 7.6-18.10 officially launched.
https://wiki.centos.org/AdditionalResources/Repositories/CR

For RHEL, one can grab RHEL 7.6 mesa and libglvnd rpms via their respectives subscriptions.

For cuda 9.2 users:
I recommends to install the xorg-x11-drv-nvidia-390xx from RPM Fusion nonfree
This package does not make use of libglvnd (yet).

For cuda 10.0 users:
I recommends to install the xorg-x11-drv-nvidia from RPM Fusion nonfree for EL.
This package does make use of libglvnd. (so you need either the old libglvnd of the newer along with mesa).

Comment 20 Nicolas Chauvet (kwizart) 2019-03-03 16:10:08 UTC
libglvnd is retired from epel7, closing bug.


Note You need to log in before you can comment on or make changes to this bug.